package com.zjrs.zwnw.psam.dto;

import io.swagger.annotations.ApiModelProperty;
import com.zjrs.zwnw.portal.dto.common.PageDTO;

import jakarta.validation.constraints.NotBlank;

public class PsamXfycDTO extends PageDTO implements java.io.Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "入库流水号")
    private String rsPsamRkxxbLsh;

    @ApiModelProperty(value = "行政区划")
    private String xzqh;

    @ApiModelProperty(value = "单位名称")
    private String dwmc;

    @ApiModelProperty(value = "卡号")
    private String psambh;

    @ApiModelProperty(value = "卡状态")
    private String kzt;

    @ApiModelProperty(value = "交易时间-起")
    @NotBlank(message = "交易时间-起不能为空")
    private String jysjBegin;

    @ApiModelProperty(value = "交易时间-至")
    @NotBlank(message = "交易时间-至不能为空")
    private String jysjEnd;

    public String getRsPsamRkxxbLsh() {
        return rsPsamRkxxbLsh;
    }

    public void setRsPsamRkxxbLsh(String rsPsamRkxxbLsh) {
        this.rsPsamRkxxbLsh = rsPsamRkxxbLsh;
    }

    public String getXzqh() {
        return xzqh;
    }

    public void setXzqh(String xzqh) {
        this.xzqh = xzqh;
    }

    public String getDwmc() {
        return dwmc;
    }

    public void setDwmc(String dwmc) {
        this.dwmc = dwmc;
    }

    public String getPsambh() {
        return psambh;
    }

    public void setPsambh(String psambh) {
        this.psambh = psambh;
    }

    public String getKzt() {
        return kzt;
    }

    public void setKzt(String kzt) {
        this.kzt = kzt;
    }

    public String getJysjBegin() {
        return jysjBegin;
    }

    public void setJysjBegin(String jysjBegin) {
        this.jysjBegin = jysjBegin;
    }

    public String getJysjEnd() {
        return jysjEnd;
    }

    public void setJysjEnd(String jysjEnd) {
        this.jysjEnd = jysjEnd;
    }
}
